Index: uspace/srv/devman/devtree.c
===================================================================
--- uspace/srv/devman/devtree.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/devman/devtree.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -93,5 +93,5 @@
 }
 
-static hash_table_ops_t devman_devices_ops = {
+static const hash_table_ops_t devman_devices_ops = {
 	.hash = devman_devices_hash,
 	.key_hash = handle_key_hash,
@@ -101,5 +101,5 @@
 };
 
-static hash_table_ops_t devman_functions_ops = {
+static const hash_table_ops_t devman_functions_ops = {
 	.hash = devman_functions_hash,
 	.key_hash = handle_key_hash,
@@ -109,5 +109,5 @@
 };
 
-static hash_table_ops_t loc_devices_ops = {
+static const hash_table_ops_t loc_devices_ops = {
 	.hash = loc_functions_hash,
 	.key_hash = service_id_key_hash,
Index: uspace/srv/fs/cdfs/cdfs_ops.c
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/cdfs/cdfs_ops.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -323,5 +323,5 @@
 
 /** Nodes hash table operations */
-static hash_table_ops_t nodes_ops = {
+static const hash_table_ops_t nodes_ops = {
 	.hash = nodes_hash,
 	.key_hash = nodes_key_hash,
Index: uspace/srv/fs/exfat/exfat_idx.c
===================================================================
--- uspace/srv/fs/exfat/exfat_idx.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/exfat/exfat_idx.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -149,5 +149,5 @@
 }
 
-static hash_table_ops_t uph_ops = {
+static const hash_table_ops_t uph_ops = {
 	.hash = pos_hash,
 	.key_hash = pos_key_hash,
@@ -195,5 +195,5 @@
 }
 
-static hash_table_ops_t uih_ops = {
+static const hash_table_ops_t uih_ops = {
 	.hash = idx_hash,
 	.key_hash = idx_key_hash,
Index: uspace/srv/fs/fat/fat_idx.c
===================================================================
--- uspace/srv/fs/fat/fat_idx.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/fat/fat_idx.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -149,5 +149,5 @@
 }
 
-static hash_table_ops_t uph_ops = {
+static const hash_table_ops_t uph_ops = {
 	.hash = pos_hash,
 	.key_hash = pos_key_hash,
@@ -195,5 +195,5 @@
 }
 
-static hash_table_ops_t uih_ops = {
+static const hash_table_ops_t uih_ops = {
 	.hash = idx_hash,
 	.key_hash = idx_key_hash,
Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -95,5 +95,5 @@
 }
 
-static hash_table_ops_t services_ops = {
+static const hash_table_ops_t services_ops = {
 	.hash = services_hash,
 	.key_hash = services_key_hash,
Index: uspace/srv/fs/mfs/mfs_ops.c
===================================================================
--- uspace/srv/fs/mfs/mfs_ops.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/mfs/mfs_ops.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -123,5 +123,5 @@
 }
 
-static hash_table_ops_t open_nodes_ops = {
+static const hash_table_ops_t open_nodes_ops = {
 	.hash = open_nodes_hash,
 	.key_hash = open_nodes_key_hash,
Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -189,5 +189,5 @@
 
 /** TMPFS nodes hash table operations. */
-hash_table_ops_t nodes_ops = {
+const hash_table_ops_t nodes_ops = {
 	.hash = nodes_hash,
 	.key_hash = nodes_key_hash,
Index: uspace/srv/fs/udf/udf_idx.c
===================================================================
--- uspace/srv/fs/udf/udf_idx.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/fs/udf/udf_idx.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -78,5 +78,5 @@
 }
 
-static hash_table_ops_t udf_idx_ops = {
+static const hash_table_ops_t udf_idx_ops = {
 	.hash = udf_idx_hash,
 	.key_hash = udf_idx_key_hash,
Index: uspace/srv/hid/input/gsp.c
===================================================================
--- uspace/srv/hid/input/gsp.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/hid/input/gsp.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -84,5 +84,5 @@
 }
 
-static hash_table_ops_t trans_ops = {
+static const hash_table_ops_t trans_ops = {
 	.hash = trans_hash,
 	.key_hash = trans_key_hash,
Index: uspace/srv/ns/service.c
===================================================================
--- uspace/srv/ns/service.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/ns/service.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -112,5 +112,5 @@
 
 /** Operations for service hash table. */
-static hash_table_ops_t service_hash_table_ops = {
+static const hash_table_ops_t service_hash_table_ops = {
 	.hash = service_hash,
 	.key_hash = service_key_hash,
@@ -121,5 +121,5 @@
 
 /** Operations for interface hash table. */
-static hash_table_ops_t iface_hash_table_ops = {
+static const hash_table_ops_t iface_hash_table_ops = {
 	.hash = iface_hash,
 	.key_hash = iface_key_hash,
Index: uspace/srv/ns/task.c
===================================================================
--- uspace/srv/ns/task.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/ns/task.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -80,5 +80,5 @@
 
 /** Operations for task hash table. */
-static hash_table_ops_t task_hash_table_ops = {
+static const hash_table_ops_t task_hash_table_ops = {
 	.hash = task_hash,
 	.key_hash = task_key_hash,
@@ -131,5 +131,5 @@
 
 /** Operations for task hash table. */
-static hash_table_ops_t p2i_ops = {
+static const hash_table_ops_t p2i_ops = {
 	.hash = p2i_hash,
 	.key_hash = p2i_key_hash,
Index: uspace/srv/vfs/vfs_node.c
===================================================================
--- uspace/srv/vfs/vfs_node.c	(revision 5d380b63867e347a3212398238dbe95d3b227d35)
+++ uspace/srv/vfs/vfs_node.c	(revision 61eb2ce2769cc7e957b2ee93ca59919d895a7999)
@@ -66,5 +66,5 @@
 
 /** VFS node hash table operations. */
-hash_table_ops_t nodes_ops = {
+const hash_table_ops_t nodes_ops = {
 	.hash = nodes_hash,
 	.key_hash = nodes_key_hash,
